
QGIS Application - Bug report #17808

[Vertex editor] Hitting DEL when no vertex is selected in the Vertex Editor panel crashes QGIS

2018-01-05 04:52 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25704

Description

User Feedback

I selected some vertices in the map canvas then opened the node editor

I remark that no vertex was shown selected in the dialog (see #17806) but to be sure whether it wasn't a GUI refresh issue I hit DEL. 

And Booouuuummm!

Report Details

Crash ID: 68d90ac11963d80e012d407c03e116ec61e8e920

Stack Trace

QgsMapToolDeleteRing::ringUnderPoint :

QgsMapToolDeleteRing::ringUnderPoint :

QgsMapToolDeleteRing::ringUnderPoint :

QgsMapToolDeleteRing::ringUnderPoint :

QgsMapToolDeleteRing::ringUnderPoint :

QMetaObject::activate :

QgsProcessingMultiStepFeedback::setCurrentStep :

QgsProcessingMultiStepFeedback::setCurrentStep :

QgsProcessingMultiStepFeedback::setCurrentStep :

QgsProcessingMultiStepFeedback::setCurrentStep :

QgsProcessingMultiStepFeedback::setCurrentStep :

QMetaObject::activate :

QgsProcessingMultiStepFeedback::setCurrentStep :

QgsProcessingMultiStepFeedback::setCurrentStep :

QUndoStack::push :

QgsProcessingMultiStepFeedback::setCurrentStep :

QgsProcessingMultiStepFeedback::setCurrentStep :

QgsProcessingMultiStepFeedback::setCurrentStep :

QgsMapToolDeleteRing::ringUnderPoint :

QgsMapToolDeleteRing::ringUnderPoint :

QgsMapToolDeleteRing::ringUnderPoint :

QgsMapToolDeleteRing::ringUnderPoint :

QgsMapToolDeleteRing::ringUnderPoint :

QMetaObject::activate :

QgsHiddenWidgetWrapper::trUtf8 :

QgsHiddenWidgetWrapper::trUtf8 :

QWidget::event :

QFrame::event :

QAbstractScrollArea::event :

QgsHiddenWidgetWrapper::trUtf8 :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsProcessingMultiStepFeedback::setCurrentStep :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsProcessingMultiStepFeedback::setCurrentStep :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsMapToolDeleteRing::ringUnderPoint :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:63cc1246df

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2018-01-19 08:18 PM - Denis Rouzaud

- Assignee set to Martin Dobias

#2 - 2018-02-21 09:33 PM - Martin Dobias

Sorry I am unable to replicate. Could you please try again and maybe attach some test data and exact steps of what you did? (or a screencast)

#3 - 2018-02-25 11:10 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2018-02-26 01:45 PM - Harrissou Santanna

- Resolution set to not reproducable

- Status changed from Feedback to Closed

I can neither reproduce
